Subject: bug#21409: 24.5; Wrong syntactic information for two line statement in an arglist

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Dec 2020 12:07:18 +0100

Gulshan Singh <[email-masked]> writes:

> In c-mode (and all derivatives), the following code has the wrong
> syntactic information (at least, in my opinion):
>
> foo(bar
>     .baz()
>     .qux());
>
> Putting point at `.baz()` and pressing C-c C-s shows it as an
> `arglist-cont-nonempty`, when I'd expect it to be a
> `statement-cont`. This causes the code to have the wrong indentation, as
> above I would like to have the continued statements to be indented one
> c-basic-offset, not aligned to the opening brace.

(This bug report unfortunately got no response at the time.)

I'm not sure how that should be indented, really -- the current
indentation looks reasonable to me, I think?

Perhaps Alan (added to the Cc's) has an opinion here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no